Banking Provider
Manage banking providers in VARIO Cloud, including provider settings, parameters, user assignments, login checks, and provider creation via REST API.
Bankdienstleister
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
banking provider name
banking provider identifier
Resource with given ID was not found
GET /banking/banking-provider/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"bpName": "text",
"bpIdentifier": "FINAPI",
"bankingUsers": []
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
banking provider name
banking provider identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
banking provider name
banking provider identifier
Resource was not found
Resource was not valid to process
PUT /banking/banking-provider/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"version": "text",
"info": {},
"id": "text",
"bpName": "text",
"bpIdentifier": "FINAPI",
"bankingUsers": []
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"bpName": "text",
"bpIdentifier": "FINAPI",
"bankingUsers": []
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /banking/banking-provider/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}OK
GET /banking/banking-provider/{bankingProviderId}/parameter/{key} HTTP/1.1
Host: api.example.com
Accept: */*
OK
textbankingProviderId
OK
No content
PUT /banking/banking-provider/{bankingProviderId}/parameter/{key} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
OK
No content
Version Identifier for this Object (for PUT)
Unique identifier of the Object
banking provider name
banking provider identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
banking provider name
banking provider identifier
Resource was not valid to process
POST /banking/banking-provider HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"version": "text",
"info": {},
"id": "text",
"bpName": "text",
"bpIdentifier": "FINAPI",
"bankingUsers": []
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"bpName": "text",
"bpIdentifier": "FINAPI",
"bankingUsers": []
}Bankschnittstelle
Username für Bankschnittstelle (falls benötigt)
Password für Bankschnittstelle (falls benötigt)
OK
POST /banking/banking-provider/create HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"bankType": "FINAPI",
"username": "text",
"password": "text"
}OK
No content
OK
message context
message
GET /banking/banking-provider/{bankingProviderId}/check_login HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}OK
GET /banking/banking-provider/meta/{key} HTTP/1.1
Host: api.example.com
Accept: */*
OK
textLast updated
Was this helpful?